Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FTPMessageCollector

    java.lang.Object
      com.enterprisedt.net.ftp.FTPMessageCollector

All Implemented Interfaces:
  FTPMessageListener

    public class FTPMessageCollector

extends java.lang.Object
implements FTPMessageListener

Listens for and is notified of FTP commands and replies.

Version:
  $Revision: 1.2 $
Author:
  Bruce Blackshaw

Constructor Summary
`FTPMessageCollector()`

Method Summary
`void` | `clearLog()` Clear the log of all messages
`java.lang.String` | `getLog()` Get the log of messages
`void` | `logCommand(java.lang.String cmd)` Log an FTP command being sent to the server
`void` | `logReply(java.lang.String reply)` Log an FTP reply being sent back to the client

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPMessageCollector

    public FTPMessageCollector()

Method Detail

### logCommand

    public void logCommand(java.lang.String cmd)

  Log an FTP command being sent to the server

  Specified by:
    `logCommand` in interface `FTPMessageListener`
  Parameters:
    `cmd` - command string

### logReply

    public void logReply(java.lang.String reply)

  Log an FTP reply being sent back to the client

  Specified by:
    `logReply` in interface `FTPMessageListener`
  Parameters:
    `reply` - reply string

### getLog

    public java.lang.String getLog()

  Get the log of messages

  Returns:
    message log as a string

### clearLog

    public void clearLog()

  Clear the log of all messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.